Bug 485742 - Include demos directory in documentation
Include demos directory in documentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-paramiko (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 11:53 EST by Evan McNabb
Modified: 2009-03-09 19:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.7.4-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan McNabb 2009-02-16 11:53:49 EST
Description of problem:
Upstream paramiko includes the "demos" documentation directory. This contains useful examples and code snippets for creating different types of ssh connections. This is not included in the current RPM.

I found this extremely useful when first implementing paramiko so I would recommend including it in Fedora (so users don't need to download the upstream tarball to view it).

Version-Release number of selected component (if applicable):
Rawhide as of 20090216.
  
Actual results:
Directory not installed.

Expected results:
# ls /usr/share/doc/paramiko-1.7.4/demos/
demo.py         demo_sftp.py    forward.py      rforward.py   user_rsa_key
demo_server.py  demo_simple.py  interactive.py  test_rsa.key  user_rsa_key.pub
Comment 1 Jeffrey C. Ollie 2009-02-16 15:22:34 EST
I've submitted some builds ... they should show up in the next push.
Comment 2 Evan McNabb 2009-02-24 22:39:16 EST
I noticed this in the latest Rawhide. Thanks for adding it. You can probably close this now.
Comment 3 Fedora Update System 2009-03-09 18:57:25 EDT
python-paramiko-1.7.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-03-09 19:02:04 EDT
python-paramiko-1.7.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.